=== debian/changelog ===
ros-kinetic-tablet-socket-msgs (1.12.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 12 Jul 2019 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.11.0-1xenial) xenial; urgency=high

  * Fix license notice in corresponding package.xml
  * Contributors: amc-nu

 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 21 Mar 2019 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.10.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 17 Jan 2019 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.9.1-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 06 Nov 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.9.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Wed, 31 Oct 2018 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.8.0-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 31 Aug 2018 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.7.0-1xenial) xenial; urgency=high

  * update Version from 1.6.3 to 1.7.0 in package.xml and CHANGELOG.rst
  * [fix] Fixes for all packages and dependencies (#1240 <https://github.com/CPFL/Autoware/pull/1240>)
    * Initial Cleanup
    * fixed also for indigo
    * kf cjeck
    * Fix road wizard
    * Added travis ci
    * Trigger CI
    * Fixes to cv_tracker and lidar_tracker cmake
    * Fix kitti player dependencies
    * Removed unnecessary dependencies
    * messages fixing for can
    * Update build script travis
    * Travis Path
    * Travis Paths fix
    * Travis test
    * Eigen checks
    * removed unnecessary dependencies
    * Eigen Detection
    * Job number reduced
    * Eigen3 more fixes
    * More Eigen3
    * Even more Eigen
    * find package cmake modules included
    * More fixes to cmake modules
    * Removed non ros dependency
    * Enable industrial_ci for indidog and kinetic
    * Wrong install command
    * fix rviz_plugin install
    * FastVirtualScan fix
    * Fix Qt5 Fastvirtualscan
    * Fixed qt5 system dependencies for rosdep
    * NDT TKU Fix catkin not pacakged
    * More in detail dependencies fixes for more packages
    * GLEW library for ORB
    * Ignore OrbLocalizer
    * Ignore Version checker
    * Fix for driveworks interface
    * driveworks not catkinpackagedd
    * Missing catkin for driveworks
    * libdpm opencv not catkin packaged
    * catkin lib gnss  not included in obj_db
    * Points2Polygon fix
    * More missing dependencies
    * image viewer not packaged
    * Fixed SSH2 detection, added viewers for all distros
    * Fix gnss localizer incorrect dependency config
    * Fixes to multiple packages dependencies
    * gnss plib and package
    * More fixes to gnss
    * gnss dependencies for gnss_loclaizer
    * Missing gnss dependency for gnss on localizer
    * More fixes for dependencies
    Replaced gnss for autoware_gnss_library
    * gnss more fixes
    * fixes to more dependencies
    * header dependency
    * Debug message
    * more debug messages changed back to gnss
    * debud messages
    * gnss test
    * gnss install command
    * Several fixes for OpenPlanner and its lbiraries
    * Fixes to ROSInterface
    * More fixes to robotsdk and rosinterface
    * robotsdk calibration fix
    * Fixes to rosinterface robotsdk libraries and its nodes
    * Fixes to Qt5 missing dependencies in robotsdk
    * glviewer missing dependencies
    * Missing qt specific config cmake for robotsdk
    * disable cv_tracker
    * Fix to open planner un needed dependendecies
    * Fixes for libraries indecision maker
    * Fixes to libraries decision_maker installation
    * Gazebo on Kinetic
    * Added Missing library
    * * Removed Gazebo and synchonization packages
    * Renames vmap in lane_planner
    * Added installation commands for missing pakcages
    * Fixes to lane_planner
    * Added NDT TKU Glut extra dependencies
    * ndt localizer/lib fast pcl fixes
    re enable cv_tracker
    * Fix kf_lib
    * Keep industrial_ci
    * Fixes for dpm library
    * Fusion lib fixed
    * dpm and fusion header should match exported project name
    * Fixes to dpm_ocv  ndt_localizer and pcl_omp
    * no fast_pcl anymore
    * fixes to libdpm and its package
    * CI test
    * test with native travis ci
    * missing update for apt
    * Fixes to pcl_omp installation and headers
    * Final fixes for tests, modified README
    * * Fixes to README
    * Enable industrial_ci
    * re enable native travis tests
  * Contributors: Abraham Monrroy, Kosuke Murakami

 -- Shohei Fujii <fujii.shohei@gmail.com>  Fri, 18 May 2018 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.3-1xenial) xenial; urgency=high



 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 06 Mar 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.2-1xenial) xenial; urgency=high

  * Update CHANGELOG
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Tue, 27 Feb 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.1-1xenial) xenial; urgency=high

  * update CHANGELOG
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Sat, 20 Jan 2018 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.6.0-1xenial) xenial; urgency=high

  * Prepare release for 1.6.0
  * Contributors: Yamato ANDO

 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 11 Dec 2017 06:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.5.1-1xenial) xenial; urgency=high

  * Release/1.5.1 (#816 <https://github.com/cpfl/autoware/issues/816>)
    * fix a build error by gcc version
    * fix build error for older indigo version
    * update changelog for v1.5.1
    * 1.5.1
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Mon, 25 Sep 2017 05:00:00 -0000

ros-kinetic-tablet-socket-msgs (1.5.0-1xenial) xenial; urgency=high

  * Update changelog
  * Contributors: Yusuke FUJII

 -- Shohei Fujii <fujii.shohei@gmail.com>  Thu, 21 Sep 2017 05:00:00 -0000


