=== debian/control ===
Source: ros-kinetic-tablet-socket-msgs
Section: misc
Priority: extra
Maintainer: Shohei Fujii <fujii.shohei@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-tablet-socket-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: The tablet_socket_msgs package
